Skip to content

Update Resource

Request

Update a resource using its ID.

Security
BearerAuth
Path
idstringrequired

The ID of the resource to update.

Headers
Acceptstring(ManufacturingResourceAcceptHeader)required

Set this to application/api.luminovo.manufacturing.resource-v1+json.

Value:"application/api.luminovo.manufacturing.resource-v1+json"
Bodyapplication/jsonrequired
namestring or null
internal_numberstring or null
typenull or types.manufacturing.resource.v1.ResourceType (string)
One of:
null
cost_per_hournull or MonetaryValue (object)
One of:
null
descriptionstring or null
statusnull or types.manufacturing.v1.ManufacturingEntityStatus (string)
One of:
null
site_idnull or SiteId (string)
One of:
null
PATCH
/manufacturing/resource/{id}
curl -i -X PATCH \
  'https://api.luminovo.com/manufacturing/resource/{id}' \
  -H 'Accept: application/api.luminovo.manufacturing.resource-v1+json' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "internal_number": "string",
    "type": null,
    "cost_per_hour": null,
    "description": "string",
    "status": null,
    "site_id": null
  }'

Responses

Successful response

Bodyapplication/json
idstring, (uuid)required
namestringrequired
internal_numberstring or null
descriptionstring or null
typestring(types.manufacturing.resource.v1.ResourceType)required
Enum:"Machine""Person"
cost_per_hourobject(types.primitives.monetary_value.v1.ConvertedMonetaryValue)required
statusstring(types.manufacturing.v1.ManufacturingEntityStatus)required
Enum:"Active""Inactive"
site_idstring or null, (uuid)
Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "internal_number": "string", "description": "string", "type": "Machine", "cost_per_hour": { "converted_mv": {} }, "status": "Active", "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811" }